Name:           perl-Email-MIME
Version:        1.926
Release:        2%{?dist}
Summary:        Easy MIME message parsing

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Email-MIME/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Email-MIME-%{version}.tar.gz
Patch0:         perl-Email-MIME-1.926-walk_parts.patch

BuildArch:      noarch
# Module Build
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
# Module Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Email::Address)
BuildRequires:  perl(Email::MessageID)
BuildRequires:  perl(Email::MIME::ContentType) >= 1.016
BuildRequires:  perl(Email::MIME::Encodings) >= 1.314
BuildRequires:  perl(Email::Simple) >= 2.102
BuildRequires:  perl(Email::Simple::Creator)
BuildRequires:  perl(Email::Simple::Header)
BuildRequires:  perl(Encode) >= 1.9801
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(MIME::Types) >= 1.13
BuildRequires:  perl(parent)
BuildRequires:  perl(Scalar::Util)
# Test Suite
BuildRequires:  perl(blib)
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(utf8)
BuildRequires:  perl(version) > 0.99
# Release Tests
BuildRequires:  perl(Test::Pod) >= 1.41
# Runtime
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Email::Simple::Creator)
Requires:       perl(MIME::Types) >= 1.13

Obsoletes:      perl-Email-MIME-Creator < 1.457
Obsoletes:      perl-Email-MIME-Modifier < 1.445
Provides:       perl-Email-MIME-Creator = %{version}
Provides:       perl-Email-MIME-Modifier = %{version}

%description
This is an extension of the Email::Simple module, to handle MIME
encoded messages. It takes a message as a string, splits it up
into its constituent parts, and allows you access to various
parts of the message. Headers are decoded from MIME encoding.


%prep
%setup -q -n Email-MIME-%{version}
%patch0 -p1 -b .walk_parts


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Email/
%{_mandir}/man3/*.3pm*


%changelog
* Thu Mar 23 2017 Robert Scheck <robert@fedoraproject.org> - 1.926-2
- backported upstream patch from 1.928 to update subparts in
  walk_parts if stringification changes

* Thu Mar  6 2014 Tom Callaway <spot@fedoraproject.org> - 1.926-1
- update to 1.926

* Sun Aug 11 2013 Paul Howarth <paul@city-fan.org> - 1.924-1
- Update to 1.924
  - Update use of Email::MIME::ContentType to match new, fixed hash keys:
    type/subtype

* Fri Aug  9 2013 Paul Howarth <paul@city-fan.org> - 1.923-1
- Update to 1.923
  - Repackage, remove PEP links, update bugtracker
  - Try to encode headers based on the header structure, if it has one, rather
    than treating the header as a big string in all cases
  - Do not call parts_set during walk_parts unless the parts have actually
    changed
  - When trying to decode a body, fall back to 7bit if the encoding is unknown;
    trying to create a new body in an unknown encoding is still forbidden
  - Avoid undefined warnings in debug_structure (CPAN RT#82388)
  - Better error message when the given body is a ref but not a scalar
    (CPAN RT#59205)
  - Do not consider the part-ending CRLF part of the body
- Update build-reqs as per upstream requirements
- Explicitly run the release tests
- Drop %%defattr, redundant since rpm 4.4
- Don't need to remove empty directories from the buildroot
- Classify buildreqs by usage

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.911-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 31 2013 Petr Pisar <ppisar@redhat.com> - 1.911-2
- Perl 5.18 rebuild

* Sat Feb 23 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.911-1
- Add BR: perl(ExtUtils::MakeMaker) (Fix FTBFS #914270).
- Upstream update.
- Modernize spec.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.906-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.906-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 1.906-6
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.906-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.906-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.906-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec  3 2010 Paul Howarth <paul@city-fan.oth> - 1.906-2
- Obsolete perl-Email-MIME-Creator and perl-Email-MIME-Modifier, merged into
  Email::MIME at version 1.900

* Fri Dec  3 2010 Paul Howarth <paul@city-fan.oth> - 1.906-1
- Update to 1.906 (#659635)
- BR: perl(Email::Date::Format) and perl(Email::MessageID)
- BR: perl(Test::MinimumVersion) for additional test coverage
- Bump perl(Email::MIME::Encodings) version requirement to 1.313
- Bump perl(Email::Simple) version requirement to 2.004

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.863-5
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.863-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.863-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.863-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.863-1
- update to 1.863

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.861-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.861-3
- Rebuild for perl 5.10 (again)

* Thu Jan 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.861-2
- rebuild for new perl

* Wed Nov 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.861-1
- bump to 1.861

* Fri Mar 23 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.859-1
- Update to 1.859.

* Sat Feb 10 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.858-1
- Update to 1.858.

* Fri Dec  1 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.857-1
- Update to 1.857.

* Thu Oct 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.855-1
- Update to 1.855.

* Sun Oct 15 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.854-1
- Update to 1.854.

* Fri Oct 13 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.853-1
- Update to 1.853.

* Wed Sep  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.852-1
- Update to 1.852.

* Mon Aug 28 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.851-1
- Update to 1.851.

* Fri Jul 14 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.85-1
- Update to 1.85.

* Thu Sep  8 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.82-2
- Requires Email::Simple (rpm "use base" shortcoming).

* Thu Sep 08 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.82-1
- First build.
